.search_div {
    background: #fff;
    border-radius: 8px;
    position: absolute;
    top: 43%;
    left: 4%;
    z-index: 10;
    width: 28rem;
    padding: 25px;
}

#searchInput:focus {
    border: 1px solid #E9E9E9;
}

.search_div h4 {
    margin-bottom: 20px;
    width: 75%;
    font-size: 24px;
    font-weight: 600;
    color: #252B42;
}

.search_div_input {
    display: flex;
    gap: 10px;
}

.search_div_input input {
    border: 1px solid #E9E9E9;
    background-color: #FCFCFC;
    border-radius: 4px;
    width: 70%;
}

.search_div_input button {
    background-color: #FFCD29;
    border-radius: 4px;
    color: #252B42;
    width: 30%;
    font-size: 14px;
    font-weight: 500;
}


.map-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Adjust the overlay color and transparency */
    display: block;
    z-index: 9;
}

/* Style for the overlay content */
.overlay-content {
    position: absolute;
    top: 28%;
    left: 4%;
    text-align: center;
    color: white;
    font-size: 46px;
    font-weight: 700;
}

.ressponse_div {
    background: #00703E;
    color: white;
    font-size: 14px;
    margin-top: 16px;
    padding: 5px 15px;
    border-radius: 4px;
    display: none;
}

.states_found {
    height: 0;
    overflow: auto;
    transition: height 0.6s ease-in-out;
}

.states_found_lower_sec {
    display: flex;
    justify-content: flex-start;
    gap: 20px;
    padding: 12px 12px 12px 12px;
}

.state_found_image_cont {
    width: 24%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.state_found_description {
    width: 76%;
}

.additional_Class_for_states_found {
    background: #EEFBF4;
    border-bottom: 1px solid #008A45;
}

.miles_styles {
    font-size: 12px;
    color: #006633;
    font-weight: 500;
    margin-top: 8px;
    text-align: center;
}

.location_title_dropDown {
    font-size: 18px;
    font-weight: 600;
    text-transform: capitalize;
    margin-bottom: 8px;
}

.location_address_dropDown {
    font-size: 12px;
    font-weight: 400;
    line-height: 21px;
    margin-bottom: 4px;
}

.location_phone_dropDown {
    font-size: 12px;
    font-weight: 400;
    line-height: 21px;
    margin-bottom: 4px;
}

.states_found_lower_sec a {
    color: #FFCD29;
    font-weight: 500;
    font-size: 14px;
}

.states_found_lower_sec:hover {
    cursor: pointer;
    background: #EEFBF4;
    border-bottom: 1px solid #008A45;
}

.pin_mile_container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 20%;
}

.details_div_for_marker {
    width: 80%;
}


/*map tooltip*/
.map_pop_tip {
    width: 130px;
}

.map_pop_tip h3 {
    font-size: 14px;
    font-weight: 600;
    text-transform: capitalize;
}

.map_pop_tip p {
    font-size: 12px;
    font-weight: 400;
    line-height: 18px;
    margin-bottom: 0;
}

.number_on_toolTip {
    margin-bottom: 20px !important;
}

.below_search_div {
    display: flex;
    justify-content: flex-start;
    margin-top: 10px;
}

.map_pop_tip a {
    font-size: 12px;
    font-weight: 500;
    line-height: 18px;
    color: #008A45;
}

.descript_tex {
    color: #252B42 !important;
    font-size: 14px !important;
}

.map-page-anchor {
    text-decoration: underline !important;
    color: #005095;
    font-size: 14px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
}

@media only screen and (max-width: 600px) {
    .overlay-content {
        font-size: 22px;
        left: 4.5%;
        top: 33%;
    }

    .search_div {
        width: 90%;
        top: 35%;
        box-shadow: 0px 0px 12px #0909091A;
        margin: 45px auto;
        border-radius: 0;
    }

    .search_div h4 {
        font-size: 16px;
    }

    .search_div_input {
        flex-direction: column;
        align-items: center;
    }

    .search_div_input input {
        width: 100%;
    }

    .search_div_input button {
        width: 100%;
    }

    .template-map_parent_container {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;

    }
}

.loader_for_states {
    display: none;
    align-items: center;
    justify-content: center;
    margin-top: 15px;
}

.loader_for_states img {
    width: 80px;
}